from tabulate import tabulate


class Multiclass_ErrorRate:
    correct = 0
    incorrect = 0

    def evaluate(self, expected_class: float, actual_class: float):
        if expected_class == actual_class:
            self.correct += 1
        else:
            self.incorrect += 1

    def error_rate(self):
        return self.incorrect / (self.correct+self.incorrect)

    def success_rate(self):
        return self.correct / (self.correct+self.incorrect)

    def print_table(self):
        print("Gesamt-Erfolgsrate: " + str(self.success_rate()))
        print("Gesamt-Fehlerrate: " + str(self.error_rate()) + '\n')
